Loading...
Searching...
No Matches
EST_FeatureFunctionContext Class Reference
Collaboration diagram for EST_FeatureFunctionContext:
[legend]

## Public Member Functions

void | clear_cache (void)
void | add_package (const EST_String name)
bool | package_included (const EST_String name) const
const EST_Item_featfunc | get_featfunc (const EST_String name, int must=0)
const EST_Item_featfunc | get_featfunc (const EST_String package, const EST_String name, int must=0)

## Static Public Attributes

static const EST_String | separator = "+"

## Protected Member Functions

void | add_package (EST_FeatureFunctionPackage *package)
EST_FeatureFunctionPackage * | get_package (const EST_String name) const
EST_String | get_featfunc_name (const EST_Item_featfunc func, int &found) const

## Static Protected Member Functions

static void | class_init (void)

## Static Protected Attributes

static EST_FeatureFunctionContext * | global

## Friends

class | ling_class_init
void | EST_register_feature_function_package (const char *name, void(*init_fn)(EST_FeatureFunctionPackage &p))
void | register_featfunc (const EST_String &name, const EST_Item_featfunc func)
const EST_Item_featfunc | get_featfunc (const EST_String &name, int must=0)
EST_String | get_featname (const EST_Item_featfunc func)

## Detailed Description

Definition at line 49 of file EST_FeatureFunctionContext.h.

## Constructor & Destructor Documentation

## EST_FeatureFunctionContext()

EST_FeatureFunctionContext::EST_FeatureFunctionContext | ( | void |  | ) |

Definition at line 57 of file EST_FeatureFunctionContext.cc.

## ~EST_FeatureFunctionContext()

EST_FeatureFunctionContext::~EST_FeatureFunctionContext | ( | void |  | ) |

Definition at line 62 of file EST_FeatureFunctionContext.cc.

## Member Function Documentation

## add_package() [1/2]

void EST_FeatureFunctionContext::add_package | ( | EST_FeatureFunctionPackage * | package | ) |

protected

Definition at line 135 of file EST_FeatureFunctionContext.cc.

## get_package()

EST_FeatureFunctionPackage * EST_FeatureFunctionContext::get_package | ( | const EST_String | name | ) | const

protected

Definition at line 75 of file EST_FeatureFunctionContext.cc.

## get_featfunc_name()

EST_String EST_FeatureFunctionContext::get_featfunc_name | ( | const EST_Item_featfunc | func,
|  | int & | found ) const

protected

Definition at line 88 of file EST_FeatureFunctionContext.cc.

## clear_cache()

void EST_FeatureFunctionContext::clear_cache | ( | void |  | ) |

Definition at line 111 of file EST_FeatureFunctionContext.cc.

## add_package() [2/2]

void EST_FeatureFunctionContext::add_package | ( | const EST_String | name | ) |

Definition at line 116 of file EST_FeatureFunctionContext.cc.

## package_included()

bool EST_FeatureFunctionContext::package_included | ( | const EST_String | name | ) | const

Definition at line 142 of file EST_FeatureFunctionContext.cc.

## get_featfunc() [1/2]

const EST_Item_featfunc EST_FeatureFunctionContext::get_featfunc | ( | const EST_String | name,
|  | int | must = 0 )

Definition at line 147 of file EST_FeatureFunctionContext.cc.

## get_featfunc() [2/2]

const EST_Item_featfunc EST_FeatureFunctionContext::get_featfunc | ( | const EST_String | package,
|  | const EST_String | name,
|  | int | must = 0 )

Definition at line 192 of file EST_FeatureFunctionContext.cc.

## class_init()

void EST_FeatureFunctionContext::class_init | ( | void |  | ) |

static protected

Definition at line 46 of file EST_FeatureFunctionContext.cc.

## Friends And Related Symbol Documentation

## ling_class_init

friend class ling_class_init

friend

Definition at line 80 of file EST_FeatureFunctionContext.h.

## EST_register_feature_function_package

void EST_register_feature_function_package | ( | const char * | name,
|  | void(* | init_fn )(EST_FeatureFunctionPackage &p) )

friend

Definition at line 86 of file item_feats.cc.

## register_featfunc

void register_featfunc | ( | const EST_String & | name,
|  | const EST_Item_featfunc | func )

friend

Definition at line 63 of file item_feats.cc.

## get_featfunc

const EST_Item_featfunc get_featfunc | ( | const EST_String & | name,
|  | int | must = 0 )

friend

Definition at line 56 of file item_feats.cc.

## get_featname

EST_String get_featname | ( | const EST_Item_featfunc | func | ) |

friend

Definition at line 74 of file item_feats.cc.

## Member Data Documentation

## global

EST_FeatureFunctionContext * EST_FeatureFunctionContext::global

static protected

Definition at line 55 of file EST_FeatureFunctionContext.h.

## separator

const EST_String EST_FeatureFunctionContext::separator = "+"

static

Definition at line 63 of file EST_FeatureFunctionContext.h.

The documentation for this class was generated from the following files:

- ling_class/EST_FeatureFunctionContext.h
- ling_class/EST_FeatureFunctionContext.cc